### Virtual Method

# Gtk.TreeModel.iter_children

#### Declaration [src]

    gboolean
    iter_children (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreeIter* parent
    )

#### Description [src]

Sets `iter` to point to the first child of `parent`.

If `parent` has no children, `FALSE` is returned and `iter` is set to be invalid. `parent` will remain a valid node after this function has been called.

If `parent` is `NULL` returns the first node, equivalent to `gtk_tree_model_get_iter_first (tree_model, iter);`

#### Parameters

`iter` | `GtkTreeIter`
| the new `GtkTreeIter`-struct to be set to the child
| Direction: out
| Ownership is not transferred to the callee
`parent` | `GtkTreeIter`
| the `GtkTreeIter`-struct, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE`, if `iter` has been set to the first child